Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Oct 2011 18:20:04 +0300

> OK, but (i) this seems unrelated to the issue you originally raised in
> this bug,

It fixes the issue I raised in
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1806#65
that describes the remaining problem with the current behavior of Dired.

We were unable to fix it before implementing `window-nest'.

> and (ii) surely this is not special to Dired, so instead of
> changing dired-pop-to-buffer, why not just have the user customize
> window-nest to t if the user wants the behavior you describe?

I think it's a plain bug to resize unrelated windows,
not a behavior some users might prefer.

As for setting `window-nest' to t by default, I don't know
how it would affect other window-related functionality.